Package net.shibboleth.saml.profile.config.logic

# Class SignRequestsPredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate
net.shibboleth.saml.profile.config.logic.SignRequestsPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class SignRequestsPredicate extends AbstractRelyingPartyPredicate
A predicate implementation that forwards to `SAMLProfileConfiguration.isSignRequests(ProfileRequestContext)` or follows `IDPSSODescriptor.getWantAuthnRequestsSigned()` if so configured.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`honorMetadata`
Whether to override the result based on the WantAuthnRequestsSigned flag in SAML metadata.
`private Function<ProfileRequestContext,SAMLMetadataContext>`
`metadataContextLookupStrategy`
Lookup strategy for `SAMLMetadataContext`.

## Constructor Summary

Constructors
Constructor
Description
`SignRequestsPredicate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setHonorMetadata(boolean flag)`
Set whether to override the result based on the WantAuthnRequestsSigned flag in SAML metadata.
`void`
`setMetadataContextLookupStrategy(Function<ProfileRequestContext,SAMLMetadataContext> strategy)`
Set lookup strategy for `SAMLMetadataContext`.
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractRelyingPartyPredicate

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### honorMetadata

private boolean honorMetadata
Whether to override the result based on the WantAuthnRequestsSigned flag in SAML metadata.

### metadataContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,SAMLMetadataContext> metadataContextLookupStrategy
Lookup strategy for `SAMLMetadataContext`.

## Constructor Details

### SignRequestsPredicate

public SignRequestsPredicate()
Constructor.

## Method Details

### setHonorMetadata

public void setHonorMetadata(boolean flag)
Set whether to override the result based on the WantAuthnRequestsSigned flag in SAML metadata.

Defaults to false.

Parameters:
  `flag` - flag to set
Since:
  4.0.0

### setMetadataContextLookupStrategy

public void setMetadataContextLookupStrategy(@Nonnull Function<ProfileRequestContext,SAMLMetadataContext> strategy)
Set lookup strategy for `SAMLMetadataContext`.

Parameters:
  `strategy` - lookup strategy
Since:
  4.0.0

### test

public boolean test(@Nullable ProfileRequestContext input)